﻿@model MvcWebsiteOcc.Areas.administrators.Models.EventsGirl
@using MvcWebsiteOcc.Models;
@using PagedList.Mvc;
@{
    if (Localization.Get("lng") == "VI")
    {
        ViewBag.Title = Model.Name;
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    else
    {
        ViewBag.Title = "Blog";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    Layout = "~/Views/Shared/_LayoutEvent.cshtml";
    ViewBag.Logo = "/uploaded/images/sukien/" + ViewBag.Folder + "/" + ViewBag.Logo;

    ViewBag.Image = "/uploaded/images/sukien/thi-sinh-du-thi/" + Model.Image;
    ViewBag.DesCription = "";

    var url = Request.Url.Host;
    var index = url.IndexOf(".");


    var subDomain = url.Substring(0, index);
}



<!-- BEGIN .content -->
<section class="content">

    <!-- BEGIN .wrapper -->
    <div class="wrapper">
        <!-- BEGIN .breaking-news -->
        <div class="breaking-news">
            <div class="breaking-title">
                <h3>Lịch sự kiện</h3>
            </div>

            <div class="breaking-block">
                <ul>
                    <li><a href="/event/about" target="_blank" class="break-category" style="background-color: #276197;">Ca múa nhạc</a>
                        <h4><a href="/event/about" target="_blank">Liveshow "10 năm 1 chăng đường" tại sân vận động Quốc gia ngày 20/03/2018</a></h4>
                        <a href="/event/about" target="_blank" class="comment-link"><i class="fa fa-comment-o"></i>0</a></li>
                    <li><a href="/event/about" target="_blank" class="break-category" style="background-color: #429d4a;">Thời trang</a>
                        <h4><a href="/event/about" target="_blank">Bộ sưu tập "Mùa tập yêu" của NTK Trương Thanh ngày 19/10/2016</a></h4>
                        <a href="/event/about" target="_blank" class="comment-link"><i class="fa fa-comment-o"></i>0</a></li>
                    <li><a href="/event/about" target="_blank" class="break-category" style="background-color: #ffd800; color: #232323;">Người đẹp</a>
                        <h4><a href="/event/about" target="_blank">Cuộc thi "Người đẹp trên cao" tại Z Stadium ngày 31/02/2016</a></h4>
                        <a href="/event/about" target="_blank" class="comment-link"><i class="fa fa-comment-o"></i>0</a></li>
                </ul>
            </div>
        </div>

        <!-- <div class="main-content has-sidebar"> -->
        <!-- <div class="main-content has-double-sidebar"> -->
        <div class="main-content has-sidebar">

            <!-- BEGIN .left-content -->
            <div class="left-content">
                <!-- BEGIN .photo-galleries -->


                <div class="single-photo-gallery">
                    <div class="single-photo-content" style="padding: 20px">
                        <div class="paragraph-row event_detail">
                            <div class="column6 ">
                                <h3 style="font-size: 2.2em; color: @ViewBag.BG;">@Model.Name</h3>

                                <div class="img_event">
                                    <img src="/uploaded/images/sukien/thi-sinh-du-thi/@Model.Image" />
                                        <div class="" style="padding: 20px 0 0">
                                            @{string share = Request.Url.ToString();}
                                            <div class="fb-like" data-href="@share" data-layout="button_count" data-action="like" data-show-faces="true" data-share="true"></div>
                                            @* <a class="share-body ot-facebook fb-share-button" data-href="@share"  data-layout="button_count" data-mobile-iframe="true">
                                            <i class="fa fa-facebook"></i><span>2.3k</span>
                                        </a>

                                        <a href="#" class="share-body ot-twitter"><i class="fa fa-twitter"></i><span>2.3k</span></a>
                                        <a href="#" class="share-body ot-google"><i class="fa fa-google-plus"></i><span>2.3k</span></a>*@
                                        </div>
                                    @{if (Model.Rank == 1)
                                      {
                                        <div class="top">
                                            <img src="/Static/frontend/hoakhoi/images/one.png" />
                                        </div> 
                                      }}

                                </div>
                                <ul class="fa-ul" style="font-size: 20px;">
                                    <li><i class="fa-li fa fa-graduation-cap"></i>@Model.School</li>
                                    <li><i class="fa-li fa fa-birthday-cake"></i>@Model.Birtday.ToString("dd/MM/yyyy")</li>
                                    <li><i class="fa-li fa fa-arrow-circle-o-up"></i>@Model.Height</li>
                                    <li><i class="fa-li fa fa-street-view"></i>@Model.Weight</li>
                                    <li><i class="fa-li fa fa-female"></i>@Model.ThreeRing</li>
                                </ul>
                                <ul class="fa-ul" style="font-size: 20px;">
                                    <li><i class="fa-li fa fa-heartbeat"></i>Sở thích</li>
                                </ul>
                                <div class="caps" style="overflow-y: auto; overflow-x: hidden; height: 100px; position: relative;">

                                    @Html.Raw(Model.Love)
                                
                                </div>

                            </div>
                            <div class="column6 widget">
                                <div class="article-content">
                                    <h4 style="line-height: 1.4em;">Thống kê</h4>
                                </div>
                                <ul class="list-group">
                                    <li style="color: #276197">
                                        <i class="fa fa-bookmark"></i>
                                        <b>Số báo danh: </b>
                                        <span class="count_star f_right">@(Model.Code != null ? Model.Code : "???")</span>
                                    </li>
                                    <li style="color: #276197">
                                        <i class="fa fa-eye"></i>
                                        <b>Số lượt xem: </b>
                                        <span class="count_star f_right">@(Model.ViewCount.HasValue ? Model.ViewCount : 0)</span>
                                    </li>
                                    <li>
                                        <i class="fa fa-envelope"></i>
                                        <b>Số SMS: </b>
                                        <span class="count_star f_right">@(Model.SMS.HasValue ? Model.SMS : 0)</span>
                                    </li>
                                    <li>
                                        <i class="fa fa-credit-card"></i>
                                        <b>e-Banking: </b>
                                        <span class="count_star f_right">@(Model.SMS.HasValue ? Model.SMS : 0)</span>
                                    </li>
                                    <li>
                                        <i class="fa fa-money"></i>
                                        <b>Thẻ cào: </b>
                                        <span class="count_star f_right">@(Model.SMS.HasValue ? Model.SMS : 0)</span>
                                    </li>
                                    <li>
                                        <i class="fa fa-desktop"></i>
                                        <b>Bình chọn qua website:</b>
                                        <span class="count_star f_right">@(Model.Web.HasValue ? Model.Web : 0)</span>
                                    </li>
                                    <li>
                                        <i class="fa fa-bar-chart"></i>
                                        <b>Tổng đểm: </b>
                                        <span class="count_star f_right">10.000</span>
                                    </li>
                                    <li style="color: @ViewBag.BG">
                                        <i class="fa fa-list-ol"></i>
                                        <b>Xếp hạng: </b>
                                        <span class="count_star f_right">@(Model.Rank.HasValue ? Model.Rank : 0)</span>

                                    </li>
                                </ul>

                                <div class="share-article-body  f_left" style="width: 100%">
                                    <div class="article-content">
                                        <h4>Bình chọn</h4>
                                    </div>
                                    <div class="accordion f_left" style="width: calc(100% - 30px);">
                                        <div class="f_left">
                                            <a href="#">SMS</a>
                                            <div>
                                                <span style="font-size: 18px;">Để bình chọn cho thí sinh <b>@Model.Name</b> bạn có thể soạn tin nhắn theo cú pháp:</span>
                                                <h3>IM SBD 8x88</h3>
                                                <div>
                                                    <h4>IM (cách) @(Model.Code != null ? Model.Code : "???") (gửi) 8388</h4>
                                                    (Giá trị tin nhắn 3000đ/1 tin nhắn ứng với 1 phiếu)   
                                        <br />
                                                    <h4>IM (cách) @(Model.Code != null ? Model.Code : "???") (gửi) 8788   </h4>
                                                    (Giá trị tin nhắn 15000đ/1 tin nhắn ứng với 8 phiếu)
                                         <br />
                                                    <span style="">Bạn có thể bình chọn cho thí sinh <b>@Model.Name</b> thông qua website, mỗi lượt bình chọn qua website sẽ tương ứng với 1 phiếu.</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="f_left">
                                            <a href="#">e-Banking</a>
                                            <div>
                                                <span style="font-size: 18px;">Để bình chọn cho thí sinh <b>@Model.Name</b> bạn có thể chuyển khoản theo số tài khoản sau:</span>

                                                <div>
                                                    <h4 style="font-size: 20px;">Công ty - TNHH Thiên Thảo Nguyên</h4>
                                                    <h4 style="font-size: 20px;">Số tài khoản: 079 110009 7777 </h4>
                                                    <p style="font-size: 18px;">
                                                        Ngân hàng: TMCP Quân Đội (MB Bank)
                                                        <br />
                                                        Chi nhánh: Hai Bà Trưng - Hà Nội
                                                    </p>

                                                    Nội dung chuyển khoản:<br />
                                                    Bình chọn thí sinh <b>@Model.Name</b> số báo danh <b>@(Model.Code != null ? Model.Code : "???")</b>

                                                    <p>
                                                        Các mức tính phiếu:
                                                        <br />
                                                        100.000 đ : 88 phiếu
                                                        <br />
                                                        200.000 đ : 188 phiếu
                                                        <br />
                                                        300.000 đ : 288 phiếu 
                                                        <br />
                                                        500.000 đ : 499 phiếu
                                                        <br />
                                                        1.000.000 đ : 999 phiếu
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="f_left">
                                            <a href="#">Thẻ Cào</a>
                                            <div>

                                                <span style="font-size: 18px;">Bạn có thể bình chọn cho thí sinh <b>@Model.Name</b> bằng thẻ cào điện thoại (Viettel, Vinaphone, Mobiphone ...)</span>
                                                <div>

                                                    <p>
                                                        Các mức tính phiếu:
                                                        <br />
                                                        10.000 đ : 8 phiếu
                                                        <br />
                                                        20.000 đ : 18 phiếu
                                                        <br />
                                                        50.000 đ : 46 phiếu 
                                                        <br />
                                                        100.000 đ : 88 phiếu
                                                        <br />
                                                        200.000 đ : 199 phiếu
                                                        <br />
                                                        500.000 đ : 488 phiếu
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="f_left">
                                            <a href="#">Website</a>
                                            <div>
                                                <div class="article-content">
                                                    <h4>Tổng đánh giá <span class="f_right" style="font-size: 14px; color: @ViewBag.BG;">2658 <small>lượt</small></span></h4>
                                                </div>

                                                <div style="float: left; background: #808080; width: 100%; margin-bottom: 20px;">
                                                    <div class="total_rate f_left pink">3.3</div>
                                                    <div class="count_star f_right" style="padding: 19px 15px 18px 20px;">
                                                        <div class="star-rating" title="Rated 4.00 out of 5"><span style="width: 65%"><strong class="rating">4.00</strong> out of 5</span></div>
                                                    </div>

                                                </div>
                                                <div class="article-content">
                                                    <h6 style="line-height: 1.5em">Bạn đã đánh giá thí sinh này : <b style="color: @ViewBag.BG">3</b> sao</h6>
                                                    <div style="float: left;  width: 100%; margin-bottom: 20px; border: 1px solid #d9d9d9">

                                                        <div class="count_star " style="padding: 19px 15px 18px 20px; margin-left: 30%;">
                                                            <div class="star-rating" title="Rated 3.00 out of 5"><span style="width: 60%"><strong class="rating">4.00</strong> out of 5</span></div>
                                                        </div>
                                                        @*<div class="total_rate  f_right" style="background: #5D5D5D">3.0</div>*@

                                                    </div>
                                                </div>
                                                <div class="short-tabs f_left" style="width: 100%">
                                            <div class=" f_left" style="width: calc(100% - 40px)">
                                                <div class="article-content">
                                                    <h6>Đánh giá của bạn</h6>

                                                    <div class="stars" style="">
                                                        <input class="star star-5" id="r5" type="radio" name="Rating" value="5">
                                                        <label class="star star-5" for="r5"></label>
                                                        <input class="star star-4" id="r4" type="radio" name="Rating" value="4">
                                                        <label class="star star-4" for="r4"></label>
                                                        <input class="star star-3" id="r3" type="radio" name="Rating" value="3">
                                                        <label class="star star-3" for="r3"></label>
                                                        <input class="star star-2" id="r2" type="radio" name="Rating" value="2">
                                                        <label class="star star-2" for="r2"></label>
                                                        <input class="star star-1" id="r1" type="radio" name="Rating" value="1" checked="checked">
                                                        <label class="star star-1" for="r1"></label>
                                                    </div>

                                                    <div class="g-recaptcha" data-theme="dark" data-sitekey="6LelYg4TAAAAAGisTH10N1cwAfs9E2X5u9OK64-A" style="transform: scale(0.77); -webkit-transform: scale(0.77); width: 100%;"></div>

                                                    <span class="warning">
                                                        @Html.ValidationMessage("ReCaptcha")
                                                    </span>
                                                    <div class="article-content" style="margin: 20px 0;">
                                                        <a href="/dang-ky.html" target="_blank" class="button pink" style="margin: auto; width: calc(100% - 34px); text-align: center">
                                                            <i class="fa fa-2x fa-star" style="font-size: 2em !important; margin-right: 10px;"></i>Đánh giá</a>
                                                    </div>

                                                </div>

                                            </div>
                                        </div>

                                            </div>
                                        </div>
                                    </div>

                                </div>

                            </div>
                       
                        </div>
                    </div>
                    <div class="photo-galleries">
                        <ul class="grid effect-2 images" id="grid">
                            @{var images = Model.EventsGirlImages.ToList();
                              if (images.Count > 0)
                              {
                                  foreach (var img in images)
                                  {
                                <li>
                                    <div class="item" style="width: 100%">
                                        <div class="item-header">
                                            <a class="fancybox-thumbs image-hover" data-fancybox-group="thumb" href="/uploaded/images/sukien/thi-sinh-du-thi/@img.EImgFolder/@img.EImgName">

                                                <img src="/uploaded/images/sukien/thi-sinh-du-thi/@img.EImgFolder/@img.EImgName" />
                                            </a>
                                        </div>
                                    </div>
                                </li>
                                  }
                              }
                            }
                        </ul>
                    </div>
                </div>

                <!-- END .left-content -->
            </div>


            <!-- BEGIN #sidebar -->
            <aside id="sidebar">
                <div class="widget">
                    <h3>Sự kiện</h3>
                    <div class="socialize-widget">
                        <div class="responsive-calendar">
                            <div class="controls">
                                <a class="pull-left" data-go="prev">
                                    <div class="btn_c">Trước</div>
                                </a>
                                <h4><span data-head-month></span>- <span data-head-year></span></h4>
                                <a class="pull-right" data-go="next">
                                    <div class="btn_c">Sau</div>
                                </a>
                            </div>
                            <hr />
                            <div class="day-headers">
                                <div class="day header_">Hai</div>
                                <div class="day header_">Ba</div>
                                <div class="day header_">Tư</div>
                                <div class="day header_">Năm</div>
                                <div class="day header_">Sáu</div>
                                <div class="day header_">Bảy</div>
                                <div class="day header_">CN</div>
                            </div>
                            <div class="days" data-group="days">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="widget">
                    <div class="banner">
                        <a href="http://occ.com.vn" target="_blank">
                            <img src="/Static/frontend/hoakhoi/images/no-banner-300x250.png" alt="" /></a>
                    </div>
                </div>
                <div class="widget">
                    <div class="ot-tabbed">
                        <h3 class="active">Đang diễn ra</h3>
                        <h3>Sắp diễn ra</h3>
                    </div>
                    <div class="comments-block ot-tab-block active">
                        <div class="item">
                            <div class="item-header">
                                <a href="/event/about" target="_blank" class="image-avatar" style="width: 100%;">
                                    <img src="/Static/frontend/hoakhoi/images/photos/badgirl.png" alt="" style="width: 60px;" />
                                </a>
                            </div>
                            <div class="item-content">
                                <h4><a href="/event/about" target="_blank">Miss Bóng Rổ - Beauty And Basketball</a></h4>
                                @* <div class="star-rating" title="Rated 5.00 out of 5" style="width: 100%;"><span style="width: 100%;"><strong class="rating">5.00</strong> out of 5</span></div>*@
                                <span class="price" style="clear: both; font-weight: bold; color: #6CA516;">HOA KHÔI</span>
                            </div>
                        </div>
                        <div class="item">
                            <div class="item-header">
                                <a href="/event/about" target="_blank" class="image-avatar" style="width: 100%;">
                                    <img src="/Static/frontend/hoakhoi/images/photos/daisu.png" alt="" style="width: 60px;" />
                                </a>
                            </div>
                            <div class="item-content">
                                <h4><a href="/event/about" target="_blank">Cuộc thi "Đi tìm Đại sứ hình ảnh 2016" </a></h4>
                                @*<div class="star-rating" title="Rated 5.00 out of 5" style="width: 100%;"><span style="width: 100%;"><strong class="rating">5.00</strong> out of 5</span></div>*@
                                <span class="price" style="clear: both; font-weight: bold; color: #6CA516;">HÌNH ẢNH</span>
                            </div>
                        </div>
                    </div>
                    <div class="article-block ot-tab-block">
                        <div class="item">
                            <div class="item-header">
                                <a href="/event/about" target="_blank" class="image-avatar" style="width: 100%;">
                                    <img src="/Static/frontend/hoakhoi/images/photos/demnhac.png" alt="" style="width: 60px;" />
                                </a>
                            </div>
                            <div class="item-content">
                                <h4><a href="/event/about" target="_blank">Đêm nhạc đặc biệt Miss Teen</a></h4>
                                @*<div class="star-rating" title="Rated 5.00 out of 5" style="width: 100%;"><span style="width: 100%;"><strong class="rating">5.00</strong> out of 5</span></div>*@
                                <span class="price" style="clear: both; font-weight: bold; color: #6CA516;">ÂM NHẠC</span>
                                <p>
                                    <b>Bắt đầu: </b>10:00' 01/01/2016
                                            <br>
                                    <b>Kết thúc: </b>16:00' 21/03/2016
                                </p>

                            </div>
                        </div>
                        <div class="item">
                            <div class="item-header">
                                <a href="/event/about" target="_blank" class="image-avatar" style="width: 100%;">
                                    <img src="/Static/frontend/hoakhoi/images/photos/cuhanh.png" alt="" style="width: 60px;" />
                                </a>
                            </div>
                            <div class="item-content">
                                <h4><a href="/event/about" target="_blank">Cuộc thi: Miss Củ Hành 2016</a></h4>
                                @*<div class="star-rating" title="Rated 5.00 out of 5" style="width: 100%;"><span style="width: 100%;"><strong class="rating">5.00</strong> out of 5</span></div>*@
                                <span class="price" style="clear: both; font-weight: bold; color: #6CA516;">HOA KHÔI</span>
                                <p>
                                    <b>Bắt đầu: </b>10:00' 01/01/2016
                                            <br>
                                    <b>Kết thúc: </b>16:00' 21/03/2016
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="widget">
                    <h3>Tag Cloud</h3>
                    <div class="tagcloud">
                        <a href="/blog">Thánh nữ</a>
                        <a href="/blog">Khủng long nữ</a>
                        <a href="/blog">Hotgirl</a>
                        <a href="/blog">Hoa khôi</a>
                        <a href="/blog">Hoa hậu</a>
                    </div>
                </div>
                <div class="sidebar-fixed">
                    <div class="widget">
                        <h3>Kết nối</h3>
                        <div class="socialize-widget">
                            <div class="ot-social-block">
                                <div class="fb-page" data-href="https://www.facebook.com/hoakhoi.vn/" data-small-header="false" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="true" data-show-posts="false">
                                    <div class="fb-xfbml-parse-ignore">
                                        <blockquote cite="https://www.facebook.com/hoakhoi.vn/"><a href="https://www.facebook.com/hoakhoi.vn/">Hoa khôi Việt Nam</a></blockquote>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="widget">
                        <h3>Chia sẻ</h3>
                        <div class="socialize-widget">
                            <div class="ot-social-block">
                                <a href="#" class="soc-link soc-facebook">
                                    <strong>2k<small>likes</small></strong>
                                    <span>facebook</span>
                                </a>
                                <a href="#" class="soc-link soc-twitter">
                                    <strong>901<small>tweets</small></strong>
                                    <span>twitter</span>
                                </a>
                                <a href="#" class="soc-link soc-google">
                                    <strong>81<small>+1's</small></strong>
                                    <span>google+</span>
                                </a>
                                <a href="#" class="soc-link soc-linkedin">
                                    <strong>34<small>shares</small></strong>
                                    <span>linkedin</span>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="widget">
                        <div class="banner">
                            <a href="http://occ.com.vn" target="_blank">
                                <img src="/Static/frontend/hoakhoi/images/no-banner-300x250.png" alt="" /></a>
                        </div>
                    </div>
                </div>
                <!-- END #sidebar -->
            </aside>

        </div>

        <!-- END .wrapper -->
    </div>

    <!-- BEGIN .content -->
</section>


@section PageScripts{

    <script type="text/javascript">
        $(document).ready(function () {
            load();

            //function getTimeRemaining(endtime) {
            //    var t = Date.parse(endtime) - Date.parse(new Date());
            //    var seconds = Math.floor((t / 1000) % 60);
            //    var minutes = Math.floor((t / 1000 / 60) % 60);
            //    var hours = Math.floor((t / (1000 * 60 * 60)) % 24);
            //    var days = Math.floor(t / (1000 * 60 * 60 * 24));
            //    return {
            //        'total': t,
            //        'days': days,
            //        'hours': hours,
            //        'minutes': minutes,
            //        'seconds': seconds
            //    };
            //}

            //function initializeClock(id, endtime) {
            //    var clock = document.getElementById(id);
            //    var daysSpan = clock.querySelector('.days');
            //    var hoursSpan = clock.querySelector('.hours');
            //    var minutesSpan = clock.querySelector('.minutes');
            //    var secondsSpan = clock.querySelector('.seconds');

            //    function updateClock() {
            //        var t = getTimeRemaining(endtime);

            //        daysSpan.innerHTML = t.days;
            //        hoursSpan.innerHTML = ('0' + t.hours).slice(-2);
            //        minutesSpan.innerHTML = ('0' + t.minutes).slice(-2);
            //        secondsSpan.innerHTML = ('0' + t.seconds).slice(-2);

            //        if (t.total <= 0) {
            //            clearInterval(timeinterval);
            //        }
            //    }

            //    updateClock();
            //    var timeinterval = setInterval(updateClock, 1000);
            //}

            //var deadline = new Date(Date.parse(new Date()) + 15 * 24 * 60 * 60 * 1000);
            //initializeClock('clockdiv', deadline);

            //$('[data-toggle="tooltip"]').tooltip();
        });

        function load() {
            new AnimOnScroll(document.getElementById('grid'), {
                minDuration: 0.4,
                maxDuration: 0.7,
                viewportFactor: 0.2
            });

            //new AnimOnScroll(document.getElementById('grid_event'), {
            //    minDuration: 0.4,
            //    maxDuration: 0.7,
            //    viewportFactor: 0.2
            //});


        }
    </script>

}
